Package org.jfree.report.modules.gui.swing.common

# Class FormValidator

java.lang.Object
org.jfree.report.modules.gui.swing.common.FormValidator

public abstract class FormValidator extends Object

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FormValidator()`

## Method Summary

Modifier and Type
Method
Description
`abstract Action`
`getConfirmAction()`
`protected final void`
`handleValidate()`
`boolean`
`isEnabled()`
`abstract boolean`
`performValidate()`
`void`
`registerButton(AbstractButton bt)`
`void`
`registerComboBox(JComboBox bt)`
`void`
`registerTextField(JTextComponent textField)`
`void`
`setEnabled(boolean enabled)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormValidator

protected FormValidator()

## Method Details

### registerTextField

public void registerTextField(JTextComponent textField)

### registerButton

public void registerButton(AbstractButton bt)

### registerComboBox

public void registerComboBox(JComboBox bt)

### getConfirmAction

public abstract Action getConfirmAction()

### handleValidate

protected final void handleValidate()

### isEnabled

public boolean isEnabled()

### setEnabled

public void setEnabled(boolean enabled)

### performValidate

public abstract boolean performValidate()